/*
 * Programmer:  Timothy E. Hoff
 * File Name:   error.h
 * Written:     July 5, 1996
 * Modified:
 * Description: This header file declares error constants.
 *
 * Copyright (c) 1996, Timothy E. Hoff
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 */

/*
 * Application global error
 */

int errcode;

#ifndef _H_ERROR
#define _H_ERROR

#define EOWNER  51      /* file owner is invalid */
#define EMODE   52      /* file permissions are insecure */
#define EPASSWD 53      /* user not found in /etc/passwd */
#define ESIGN   54      /* digital signature does not match */
#define EEXEC   55      /* exec() failed */
#define ENODEF  56      /* cmd alias not defined */
#define ESYNTAX 57      /* invalid attribute */
#define EGROUP  58      /* invalid group */

/*
 * Identity and authentication errors
 */

#define ENOACE  60      /* no ACE for user */
#define EHOUR   61      /* access not within time restrictions */
#define EEXPIRE 62      /* access expired */
#define EAUTH   63      /* user authentication failed */

#endif /* _H_ERROR */
 
